# ConnectException Class Reference

Inherits SocketException.

List of all members.

## Detailed Description

Signals that an error occurred while attempting to connect a socket to a remote address and port.

Typically, the connection was refused remotely (e.g., no process is listening on the remote address/port).

## Public Member Functions

| ConnectException (log4cxx_status_t status)
| ConnectException (const ConnectException &src)
ConnectException & | operator= (const ConnectException &)

## Constructor & Destructor Documentation

ConnectException | ( | log4cxx_status_t | status | ) |

ConnectException | ( | const ConnectException & | src | ) |

## Member Function Documentation

ConnectException& operator= | ( | const ConnectException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h